/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#pragma once

#include "CoreMinimal.h"
#include "Factories/Factory.h"
#include "InworldGraphEdgeFactory.generated.h"

UCLASS()
class INWORLDRUNTIMEEDITOR_API UInworldGraphEdgeFactory : public UFactory
{
	GENERATED_BODY()

public:
	UInworldGraphEdgeFactory();

	virtual UObject* FactoryCreateNew(
		UClass* InClass, UObject* InParent, FName InName, EObjectFlags Flags, UObject* Context, FFeedbackContext* Warn) override;
};
